<?php

namespace MGModule\EasyDCIM;

use MGModule\EasyDCIM\MgLibs\Process\AbstractConfiguration;
use MGModule\EasyDCIM\Repositories\Install\Install;

/**
 * Module Configuration
 *
 * @author Michal Czech <michael@modulesgarden.com>
 * @SuppressWarnings("unused")
 */
class Configuration extends AbstractConfiguration
{

    /**
     * Enable or disable debug mode in your module.
     * @var bool
     */
    public $debug = false;

    /**
     * Module name in WHMCS configuration
     * @var string
     */
    public $systemName = 'EasyDCIM';

    /**
     * Module version
     * @var string
     */
    public $version = '1.5.0';

    /**
     * Provisioning menu visible in admin area
     * @return array
     */
    function getServerMenu()
    {
        return [
            'configuration' => [
                'icon' => 'glyphicon glyphicon-cog'
            ]
        ];
    }

    /**
     * Run When Module Install
     * 
     * @author Michal Czech <michael@modulesgarden.com>
     * @return array
     */
    function activate()
    {
        $repository = new Install();
        $repository->activate();
    }

    /**
     * Do something after module deactivate. You can status and description
     * @return array
     */
    function deactivate()
    {
        
    }

    /**
     * Do something after module upgrade
     * @param type $vars
     */
    function upgrade($vars)
    {
        $version = $vars['version'];
    }

}
