<?php

namespace MGModule\EasyDCIM\Controllers\Server\Admin;

use MGModule\EasyDCIM\MgLibs\Process\AbstractController;
use MGModule\EasyDCIM\Repositories\Actions\ChangePassword;
use MGModule\EasyDCIM\Repositories\Actions\Create;
use MGModule\EasyDCIM\Repositories\Actions\Suspend;
use MGModule\EasyDCIM\Repositories\Actions\Synchronize;
use MGModule\EasyDCIM\Repositories\Actions\Terminate;
use MGModule\EasyDCIM\Repositories\Actions\Unsuspend;
use MGModule\EasyDCIM\Repositories\Actions\UsageUpdate;

/**
 * Description of Actions
 *
 * @author Mateusz Pawłowski <mateusz.pa@modulesgarden.com>
 */
class Actions extends AbstractController
{

    /**
     * Create Account
     * 
     * @param array $params
     * @return string
     */
    public function createAction($params)
    {
        $repository = new Create($params);
        return $repository->create();
    }

    /**
     * Terminate Account
     * 
     * @param array $params
     * @return string
     */
    public function terminateAction($params)
    {
        $repository = new Terminate($params);
        return $repository->terminate();
    }

    /**
     * Suspend Account
     * 
     * @param array $params
     * @return string
     */
    public function suspendAction($params)
    {
        $repository = new Suspend($params);
        return $repository->suspend();
    }

    /**
     * Unsuspend Account
     * 
     * @param array $params
     * @return string
     */
    public function unsuspendAction($params)
    {
        $repository = new Unsuspend($params);
        return $repository->unsuspend();
    }

    /**
     * Update Order
     * 
     * @param array $params
     * @return string
     */
    public function synchronizeAction($params)
    {
        $repository = new Synchronize($params);
        return $repository->synchronize();
    }

    /**
     * Change Password
     * 
     * @param array $params
     * @return string
     */
    public function changePasswordAction($params)
    {
        $repository = new ChangePassword($params);
        return $repository->change();
    }

    /**
     * Usage Update
     * 
     * @param array $params
     * @return string
     */
    public function usageUpdateAction($params)
    {
        $repository = new UsageUpdate($params);
        return $repository->update();
    }

}
