<?php

namespace MGModule\EasyDCIM\Controllers\Server\Clientarea;

use Exception;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\Exceptions\FatalError;
use MGModule\EasyDCIM\MgLibs\Process\AbstractController;
use MGModule\EasyDCIM\Repositories\Modules\OsInstallation as OsInstallationRepository;

/**
 * Description of home
 *
 * @author Michal Czech <michael@modulesgarden.com>
 */
class OsInstallation extends AbstractController
{

    /**
     * Get Client Area main page
     *
     * @param array $params, $vars
     * 
     * @return array
     */
    function indexHTML($params, $vars = [])
    {
        try
        {
            $repositories = new OsInstallationRepository($params);
            $vars         = $repositories->check();
        }
        catch (Exception $ex)
        {
            if ($ex instanceof FatalError)
            {
                $vars['fatalError'] = $ex->getMessage();
            }
            else
            {
                $vars['error'] = $ex->getMessage();
            }
        }
        return array(
            'tpl'  => 'osinstallation',
            'vars' => $vars
        );
    }

    function rebuildJSON($params)
    {
        try
        {
            $repositories = new OsInstallationRepository($params);
            return $repositories->rebuild();
        }
        catch (Exception $ex)
        {
            return ['error' => $ex->getMessage()];
        }
    }

    function getInstallStatusJSON($params)
    {
        try
        {
            $repositories = new OsInstallationRepository($params);
            return ['status' => $repositories->getStatus()];
        }
        catch (Exception $ex)
        {
            return ['error' => $ex->getMessage()];
        }
    }

}
