<?php

namespace MGModule\EasyDCIM\Controllers\Server\Clientarea;

use Exception;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\Exceptions\FatalError;
use MGModule\EasyDCIM\MgLibs\Process\AbstractController;

/**
 * Class PasswordManagement
 * @package MGModule\EasyDCIM\Controllers\Server\Clientarea
 */
class PasswordManagement extends AbstractController
{
    /**
     * @param $params
     * @param array $vars
     * @return array
     */
    function indexHTML($params, $vars = [])
    {
        try
        {
            $repositories = new \MGModule\EasyDCIM\Repositories\Modules\PasswordManagement($params);

            $vars['accessList'] = $repositories->getAccessList();
        }
        catch (Exception $ex)
        {
            if ($ex instanceof FatalError)
            {
                $vars['fatalError'] = $ex->getMessage();
            }
            else
            {
                $vars['error'] = $ex->getMessage();
            }
        }
        return array(
            'tpl'  => 'passwordmanagement',
            'vars' => $vars
        );
    }
}
