<?php

namespace MGModule\EasyDCIM\Helpers;

use MGModule\EasyDCIM\MgLibs\Database\Models\AddonModules;

/**
 * Description of ConfigurableOptions
 *
 * @author Mateusz Pawłowski <mateusz.pa@modulesgarden.com>
 */
class AdvancedBilling
{
    /*
     * Check Advanced Billing module is active
     * 
     * @return boolean
     */

    public static function isActive()
    {
        if (self::checkABDatabase())
        {
            return self::checkEasySubModule();
        }
    }

    /*
     * Check Advanced Billing module is active on databse
     * 
     * @return boolean
     */

    private static function checkABDatabase()
    {
        $check = AddonModules::where('module', 'AdvancedBilling')->count();
        if ($check > 0)
        {
            return true;
        }
    }

    /*
     * Check EasyDCIM module exsists on Adavnaced Billing
     * 
     * @return boolean
     */

    private static function checkEasySubModule()
    {
        if (file_exists(FileDir::getModulesDir() . DS . 'addons' . DS . 'AdvancedBilling' . DS . 'submodules' . DS . 'EasyDCIMRecords.php'))
        {
            return true;
        }
    }

}
