<?php

namespace MGModule\EasyDCIM\Helpers;

/**
 * Description of Logs
 *
 * @author Mateusz Pawłowski <mateusz.pa@modulesgarden.com>
 */
class FileDir
{
    /*
     * Get dir path
     *  
     * @params integer $limit
     * @return string
     * 
     */

    public static function get($limit = 5)
    {
        $currentDir = __DIR__;
        for ($i = 1; $i < $limit; $i++)
        {
            $currentDir = dirname($currentDir);
        }
        return $currentDir;
    }

    /*
     * Get Easy DCIM Colocation module dir
     *  
     * @return string
     * 
     */

    public static function getModuleDir()
    {
        return self::get(2);
    }

    /*
     * Get WHMCS Modules dir
     *  
     * @return string
     * 
     */

    public static function getModulesDir()
    {
        return self::get(4);
    }

    /*
     * Get WHMCS Server dir
     *  
     * @return string
     * 
     */

    public static function getServersDir()
    {
        return self::get(3);
    }

    /*
     * Get Easy DCIM Colocation config dir
     *  
     * @return string
     * 
     */

    public static function getConfigDir()
    {
        return self::get(2) . DS . 'Config';
    }

}
