<?php

namespace MGModule\EasyDCIM\Helpers;

use MGModule\EasyDCIM\Repositories\Configuration\Traits\TraitFieldsOption;

/**
 * Description of ConfigurableOptions
 *
 * @author Mateusz Pawłowski <mateusz.pa@modulesgarden.com>
 */
class OsTemplate
{

    use TraitFieldsOption;
    /*
     * WHMCS params array
     * 
     * $var array $params
     */

    private $params;

    /*
     * Set WHMCS params
     */

    public function __construct($params)
    {
        $this->params = $params;
    }

    /*
     * Find Os template ID 
     * 
     * @param string $templateName integer $locationID
     * 
     * @return integer
     */

    public function getOSTemplateID($templateName)
    {

        if (is_numeric($templateName))
        {
            return $templateName;
        }
        $allOsTempalte = $this->getAvailableOSTemplateList();

        
        foreach ($allOsTempalte as $template)
        {
            if ($template->name == $templateName)
            {
                return $template->id;
                
            }
        }
        return 0;
    }

}
