<?php

namespace MGModule\EasyDCIM\Helpers;

/**
 * Description of ConfigurableOptions
 *
 * @author Mateusz Pawłowski <mateusz.pa@modulesgarden.com>
 */
class Serializer
{
    /*
     * Unserialize string prepared via JS serialize
     * 
     * @param string $fieldValue
     * @return array
     */

    public static function unserialize($fieldValue)
    {
        if (is_string($fieldValue))
        {
            parse_str(html_entity_decode($fieldValue), $output);
            return $output;
        }
        return $fieldValue;
    }

    /*
     * Check is string is serialized
     * 
     * #param string $value
     * @return mixed
     */

    public static function isSerialized($data)
    {
        if (!is_string($data))
        {
            return false;
        }
        $data = trim($data);
        if ('N;' == $data)
        {
            return true;
        }
        if (!preg_match('/^([adObis]):/', $data, $badions))
        {
            return false;
        }
        switch ($badions[1])
        {
            case 'a' :
            case 'O' :
            case 's' :
                if (preg_match("/^{$badions[1]}:[0-9]+:.*[;}]\$/s", $data))
                    return true;
                break;
            case 'b' :
            case 'i' :
            case 'd' :
                if (preg_match("/^{$badions[1]}:[0-9.E-]+;\$/", $data))
                    return true;
                break;
        }
        return false;
    }

}
