<?php

namespace MGModule\EasyDCIM\Helpers;

/**
 * Description of ConfigurableOptions
 *
 * @author Mateusz Pawłowski <mateusz.pa@modulesgarden.com>
 */
class SystemLogo
{
    /*
     * Matched logo to name 
     * 
     * @param string $systemName
     * @return string
     */

    public static function getLogo($systemName)
    {
        $systemName = strtolower($systemName);
        $logoDir    = './modules' . DS . 'servers' . DS . 'EasyDCIM' . DS . 'Templates' . DS . 'clientarea' . DS . 'default' . DS . 'assets' . DS . 'img' . DS . 'logos';
        $logo       = self::searchLogo($logoDir, $systemName);
        return $logoDir . DS . $logo;
    }

    /*
     * Get all logo images
     * 
     * @param string $logoDir
     * @return array $files
     */

    private static function getLogoFiles($logoDir)
    {
        $files = scandir($logoDir);
        foreach ($files as $key => $value)
        {
            if ($value == "." || $value == "..")
            {
                unset($files[$key]);
            }
        }
        return $files;
    }

    /*
     * Search matched logo
     * 
     * $param string $logoDir, $name
     * @return string $logo
     */

    private static function searchLogo($logoDir, $name)
    {
        $logoArray = self::getLogoFiles($logoDir);
        foreach ($logoArray as $logo)
        {
            $logoName = explode(".", $logo)[0];

            if (is_numeric(strpos($name, $logoName)))
            {
                return $logo;
            }
        }
        return 'windows.jpg';
    }

}
