<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Migrations;

use MGModule\EasyDCIM\MgLibs\Database\Interfaces\IMigrations;
use WHMCS\Database\Capsule;

/**
 * Description of CreateMGEasyConfiguration
 *
 * @author Mateusz Pawłowski <mateusz.pa@modulesgarden.com>
 */
class CreateMGEasyConfiguration implements IMigrations
{

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if (!Capsule::schema()->hasTable('mg_easy_configuration'))
        {
            Capsule::schema()->create('mg_easy_configuration', function ($table)
            {
                $table->increments('id');
                $table->integer('product_id')->unsigned();
                $table->string('setting')->nullable();
                $table->text('value')->nullable();
                $table->timestamps();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Capsule::schema()->dropIfExists('mg_easy_configuration');
    }

}
