<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of Clients
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use \Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property string $uuid
 * @property string $firstname
 * @property string $lastname
 * @property string $companyname
 * @property string $email
 * @property string $address1
 * @property string $address2
 * @property string $city
 * @property string $state
 * @property string $postcode
 * @property string $country
 * @property string $phonenumber
 * @property string $password
 * @property string $authmodule
 * @property string $authdata
 * @property int $currency
 * @property string $defaultgateway
 * @property float $credit
 * @property int $taxexempt
 * @property int $latefeeoveride
 * @property int $overideduenotices
 * @property int $separateinvoices
 * @property int $disableautocc
 * @property string $datecreated
 * @property string $notes
 * @property int $billingcid
 * @property int $securityqid
 * @property string $securityqans
 * @property int $groupid
 * @property string $cardtype
 * @property string $cardlastfour
 * @property string $cardnum
 * @property string $startdate
 * @property string $expdate
 * @property string $issuenumber
 * @property string $bankname
 * @property string $banktype
 * @property string $bankcode
 * @property string $bankacct
 * @property string $gatewayid
 * @property string $lastlogin
 * @property string $ip
 * @property string $host
 * @property string $status
 * @property string $language
 * @property string $pwresetkey
 * @property int $emailoptout
 * @property int $overrideautoclose
 * @property int $allow_sso
 * @property int $email_verified
 * @property string $created_at
 * @property string $updated_at
 * @property string $pwresetexpiry
 */
class Clients extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblclients';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

}
