<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of CustomFields
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use \Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property string $type
 * @property int $relid
 * @property string $fieldname
 * @property string $fieldtype
 * @property string $description
 * @property string $fieldoptions
 * @property string $regexpr
 * @property string $adminonly
 * @property string $required
 * @property string $showorder
 * @property string $showinvoice
 * @property int $sortorder
 * @property string $created_at
 * @property string $updated_at
 */
class CustomFields extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblcustomfields';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

    public function values()
    {
        return $this->hasMany(CustomFieldsValues::class, 'fieldid', 'id');
    }

}
