<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of CustomFieldsValues
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use \Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property int $fieldid
 * @property int $relid
 * @property string $value
 * @property string $created_at
 * @property string $updated_at
 */
class CustomFieldsValues extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblcustomfieldsvalues';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

    public function field()
    {
        return $this->hasOne(CustomFields::class, 'id', 'fieldid');
    }

}
