<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of HostingConfigOptions
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property int $relid
 * @property int $configid
 * @property int $optionid
 * @property int $qty
 */
class HostingConfigOptions extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblhostingconfigoptions';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

    public function options()
    {
        return $this->hasOne(ProductConfigOptions::class, 'id', 'configid');
    }

    public function values()
    {
        return $this->hasOne(ProductConfigOptionsSub::class, 'id', 'optionid');
    }

}
