<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of Hostings
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property int $userid
 * @property int $orderid
 * @property int $packageid
 * @property int $server
 * @property string $regdate
 * @property string $domain
 * @property string $paymentmethod
 * @property float $firstpaymentamount
 * @property float $amount
 * @property string $billingcycle
 * @property string $nextduedate
 * @property string $nextinvoicedate
 * @property string $termination_date
 * @property string $completed_date
 * @property string $domainstatus
 * @property string $username
 * @property string $password
 * @property string $notes
 * @property string $subscriptionid
 * @property int $promoid
 * @property string $suspendreason
 * @property int $overideautosuspend
 * @property string $overidesuspenduntil
 * @property string $dedicatedip
 * @property string $assignedips
 * @property string $ns1
 * @property string $ns2
 * @property int $diskusage
 * @property int $disklimit
 * @property int $bwusage
 * @property int $bwlimit
 * @property string $lastupdate
 * @property string $created_at
 * @property string $updated_at
 */
class Hostings extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblhosting';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

    public function customFields()
    {
        return $this->hasMany(CustomFields::class, 'relid', 'packageid')->where('type', 'like', 'product');
    }

    public function product()
    {
        return $this->hasOne(Product::class, 'id', 'packageid');
    }

}
