<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of MGOldConfiguration
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use \Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property int $product_id
 * @property string $setting
 * @property string $value
 * @property string $created_at
 * @property string $updated_at
 */
class MGOldConfiguration extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'mg_product_configuration';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

    public function product()
    {
        return $this->hasOne(Product::class, 'product_id', 'id');
    }

}
