<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of Product
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use \Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property string $type
 * @property int $gid
 * @property string $name
 * @property string $description
 * @property int $hidden
 * @property int $showdomainoptions
 * @property int $welcomeemail
 * @property int $stockcontrol
 * @property int $qty
 * @property int $proratabilling
 * @property int $proratadate
 * @property int $proratachargenextmonth
 * @property string $paytype
 * @property int $allowqty
 * @property string $subdomain
 * @property string $autosetup
 * @property string $servertype
 * @property int $servergroup
 * @property string $configoption1
 * @property string $configoption2
 * @property string $configoption3
 * @property string $configoption4
 * @property string $configoption5
 * @property string $configoption6
 * @property string $configoption7
 * @property string $configoption8
 * @property string $configoption9
 * @property string $configoption10
 * @property string $configoption11
 * @property string $configoption12
 * @property string $configoption13
 * @property string $configoption14
 * @property string $configoption15
 * @property string $configoption16
 * @property string $configoption17
 * @property string $configoption18
 * @property string $configoption19
 * @property string $configoption20
 * @property string $configoption21
 * @property string $configoption22
 * @property string $configoption23
 * @property string $configoption24
 * @property string $freedomain
 * @property string $freedomainpaymentterms
 * @property string $freedomaintlds
 * @property int $recurringcycles
 * @property int $autoterminatedays
 * @property int $autoterminateemail
 * @property int $configoptionsupgrade
 * @property string $billingcycleupgrade
 * @property int $upgradeemail
 * @property string $overagesenabled
 * @property int $overagesdisklimit
 * @property int $overagesbwlimit
 * @property float $overagesdiskprice
 * @property float $overagesbwprice
 * @property int $tax
 * @property int $affiliateonetime
 * @property string $affiliatepaytype
 * @property float $affiliatepayamount
 * @property int $order
 * @property int $retired
 * @property int $is_featured
 * @property string $created_at
 * @property string $updated_at
 */
class Product extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblproducts';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

    public function customfields()
    {
        return $this->hasMany(CustomFields::class, 'relid', 'id');
    }

}
