<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of ProductConfigLinks
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use \Illuminate\Database\Eloquent\Model;

/**
 * @property int $gid
 * @property int $pid
 */
class ProductConfigLinks extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblproductconfiglinks';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

    public function groups()
    {
        return $this->hasOne(ProductConfigGroups::class, 'id', 'gid');
    }

    public function product()
    {
        return $this->hasOne(Product::class, 'id', 'pid');
    }

}
