<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of ProductConfigOptions
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $id
 * @property int $gid
 * @property string $optionname
 * @property string $optiontype
 * @property int $qtyminimum
 * @property int $qtymaximum
 * @property int $order
 * @property int $hidden
 */
class ProductConfigOptions extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblproductconfigoptions';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

    public function suboptions()
    {
        return $this->hasMany(ProductConfigOptionsSub::class, 'configid', 'id');
    }

    public function group()
    {
        return $this->hasMany(ProductConfigLinks::class, 'gid', 'gid');
    }

}
