<?php

namespace MGModule\EasyDCIM\MgLibs\Database\Models;

/**
 * Description of ServersRelations
 *
 * @author Mateusz Pawłowski <mateusz.pa@moduelsgarden.com>
 */
use Illuminate\Database\Eloquent\Model;

/**
 * @property int $groupid
 * @property int $serverid
 */
class ServersRelations extends Model
{

    /**
     * Table name
     *
     * @var string
     */
    protected $table = 'tblservergroupsrel';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;

    public function servers()
    {
        return $this->hasOne(Servers::class, 'id', 'serverid');
    }

    public function group()
    {
        return $this->hasOne(ServersGroups::class, 'id', 'serverid');
    }

}
