<?php

namespace MGModule\EasyDCIM\MgLibs\EasyDCIM\API;

use MGModule\EasyDCIM\MgLibs\EasyDCIM\Abstracts\AbstractEasyDCIMAPI;

/**
 * Description of Ipmi
 *
 * @author Mateusz Pawłowski
 */
class Ipmi extends AbstractEasyDCIMAPI
{

    /**
     * EasyDCIM IPMI - Get Console Details
     * @documentation ??
     * @return JSON object
     * @throws string error
     */
    public function getConsoleDetails()
    {
        return $this->api->get()->execut('ipmi/device/' . $this->params->getEasyServerID() . '/console');
    }

    /**
     * EasyDCIM IPMI - Lunch Console
     * @documentation ??
     * @return JSON object
     * @throws string error
     */
    public function lunchConsole()
    {
        return $this->api->post()->execut('ipmi/device/' . $this->params->getEasyServerID() . '/console', false);
    }

    /**
     * EasyDCIM IPMI - Lunch Console
     * @documentation ??
     * @return JSON object
     * @throws string error
     */
    public function getNoVNCConsole()
    {
        return $this->api->get()->execut('ipmi/proxy/device/' . $this->params->getEasyServerID() . '/connect');
    }

    /**
     * EasyDCIM IPMI - Lunch Console
     * @documentation ??
     * @return JSON object
     * @throws string error
     */
    public function coldReset()
    {
        return $this->api->post()->execut('ipmi/device/' . $this->params->getEasyServerID() . '/reset-cold');
    }




}
