<?php

namespace MGModule\EasyDCIM\MgLibs\EasyDCIM\API;

use MGModule\EasyDCIM\MgLibs\EasyDCIM\Abstracts\AbstractEasyDCIMAPI;

/**
 * Description of System
 *
 * @author Mateusz Pawłowski
 */
class System extends AbstractEasyDCIMAPI
{

    /**
     * EasyDCIM System - Get system version
     * @documentation https://www.easydcim.com/api/index.html#api-System-Retrieve
     * @return JSON object
     * @throws string error
     */
    public function getVersion()
    {
        return $this->api->get()->execut('system/version');
    }

    /**
     * EasyDCIM System - Get activated modules
     * @documentation https://www.easydcim.com/api/index.html#api-System-Modules
     * @return JSON object
     * @throws string error
     */
    public function getModules()
    {
        return $this->api->get()->execut('system/modules');
    }

}
