<?php

namespace MGModule\EasyDCIM\MgLibs\EasyDCIM\Models\Devices;

use MGModule\EasyDCIM\MgLibs\EasyDCIM\Models\Serializer;

/**
 * Description of Filters
 *
 * @author Mateusz Pawłowski
 */
class Filters extends Serializer
{

    /**
     * @var integer
     */
    protected $type_id;

    /**
     * @var integer
     */
    protected $colocation_id;

    /**
     * @var integer
     */
    protected $server_id;

    /**
     * Easy device type ID
     * 
     * $params integer $typeID
     * @return object $this
     */
    public function setTypeID($typeID)
    {
        $this->type_id = $typeID;
        return $this;
    }

    /**
     * Easy Colocation device ID
     * 
     * $params integer $colocationID
     * @return object $this
     */
    public function setColocationID($colocationID)
    {
        $this->colocation_id = $colocationID;
        return $this;
    }

    /**
     * Easy Server ID
     * 
     * $params integer $serverID
     * @return object $this
     */
    public function setServerID($serverID)
    {
        $this->server_id = $serverID;
        return $this;
    }

    /**
     * Extended object serialization to specific array
     * 
     * @return array
     */
    public function toArray()
    {
        $out;
        foreach (parent::toArray() as $field => $value)
        {
            $out['filters[' . $field . ']'] = $value;
        }
        return $out;
    }

}
