<?php

namespace MGModule\EasyDCIM\MgLibs\EasyDCIM\Models\Orders;

use Exception;

/**
 * Description of OrderPart
 *
 * @author Mateusz Pawłowski <mateusz.pa@modulesgarden.com>
 */
class OrderPart
{

    protected $availablePartTypes = [
        'hdd.size',
        'ssd.size',
        'ram.size',
        'cpu.cores',
    ];
    protected $model;
    protected $partType;
    protected $partValue;

    public function setModel($model)
    {
        $this->model = $model;
        return $this;
    }

    public function setPartType($partType)
    {
        if (in_array($partType, $this->availablePartTypes))
        {
            $this->partType = $partType;
            return $this;
        }
        throw new Exception('Wrong part type');
    }

    public function setPartValue($partValue)
    {
        $this->partValue = $partValue;
        return $this;
    }

    public function toArray()
    {
        return [
            'model'         => $this->model,
            $this->partType => $this->partValue
        ];
    }

}
