<?php

namespace MGModule\EasyDCIM\MgLibs\EasyDCIM\Models\Orders;

use MGModule\EasyDCIM\MgLibs\EasyDCIM\Models\Serializer;

/**
 * Description of CreateOrder
 *
 * @author Mateusz Pawłowski <mateusz.pa@modulesgarden.com>
 */
class OrderService extends Serializer
{

    protected $hostname;
    protected $template;
    protected $username;
    protected $password;
    protected $monthly_traffic_limit;
    protected $additional_ips;
    protected $additional_ips_number;
    protected $access_level;
    protected $customFields = null;

    public function setHostname($hostname)
    {
        $this->hostname = $hostname;
        return $this;
    }

    public function setTemplate($template)
    {
        $this->template = $template;
        return $this;
    }

    public function setUsername($username)
    {
        $this->username = $username;
        return $this;
    }

    public function setPassword($password)
    {
        $this->password = $password;
        return $this;
    }

    public function setMonthlyTrafficLimit($monthlyTrafficLimit)
    {
        $this->monthly_traffic_limit = $monthlyTrafficLimit;
        return $this;
    }

    public function setAdditionalIps($additionalIps)
    {
        $this->additional_ips = $additionalIps;
        return $this;
    }

    public function setAdditionalIpsNumber($additionalIpsNumber)
    {
        $this->additional_ips_number = $additionalIpsNumber;
        return $this;
    }

    public function setAccessLevel($accessLevel)
    {
        $this->access_level = $accessLevel;
        return $this;
    }

    public function setCustomFields($customFields = [])
    {
        $this->customFields = $customFields;
        return $this;
    }

    public function toArray()
    {
        $info            = parent::toArray();
        $additionalField = $info['customFields'];
        unset($info['customFields']);
        foreach ($additionalField as $key => $value)
        {
            $info[$key] = $value;
        }
        return $info;
    }

}
