<?php

namespace MGModule\EasyDCIM\MgLibs\EasyDCIM\Models\Os;

use MGModule\EasyDCIM\MgLibs\EasyDCIM\Models\Serializer;

/**
 * Description of DataContainer
 *
 * @author Mateusz Pawłowski
 */
class InstallParams extends Serializer
{

    /**
     * @var integer $template
     */
    protected $template;

    /**
     * @var string $hostname
     */
    protected $hostname;

    /**
     * @var string $template
     */
    protected $username;

    /**
     * @var string $template
     */
    protected $password;

    /**
     * @var string $root_password
     */
    protected $root_password;

    /**
     * Set Os template ID
     * 
     * $params integer $template
     * @return object $this
     */
    public function setTemplate($template)
    {
        $this->template = $template;
        return $this;
    }

    /**
     * Set Hostname
     * 
     * $params string $hostname
     * @return object $this
     */
    public function setHostname($hostname)
    {
        $this->hostname = $hostname;
        return $this;
    }

    /**
     * Set Os Username
     * 
     * $params string $username
     * @return object $this
     */
    public function setUsername($username)
    {
        $this->username = $username;
        return $this;
    }

    /**
     * Set Os Password
     * 
     * $params string $password
     * @return object $this
     */
    public function setPassword($password)
    {
        $this->password = $password;
        return $this;
    }

    /**
     * Set Root Password
     * 
     * $params string $rootPassword
     * @return object $this
     */
    public function setRootPassword($rootPassword)
    {
        $this->root_password = $rootPassword;
        return $this;
    }

}
