<?php

namespace MGModule\EasyDCIM\MgLibs\Error;

use MGModule\EasyDCIM\Helpers\Logs;
use MGModule\EasyDCIM\MgLibs\Process\MainInstance;

/**
 * Description of error\register
 *
 * @author Michal Czech <michael@modulesgarden.com>
 * @SuppressWarnings(PHPMD)
 */
class Register
{

    static private $_errorRegister = null;

    static function setErrorRegisterClass($class)
    {
        self::$_errorRegister = $class;
    }

    static function register($ex)
    {
        if (self::$_errorRegister && class_exists(self::$_errorRegister, false))
        {
            call_user_func([self::$_errorRegister, 'register', $ex]);
        }
        elseif (class_exists(MainInstance::I()->getMainNamespace() . '\Models\whmcs\errors\Register'))
        {
            call_user_func([MainInstance::I()->getMainNamespace() . '\Models\whmcs\errors\Register', 'register'], $ex);
        }
        else
        {
            $token = 'Unknow Token';

            if (method_exists($ex, 'getToken'))
            {
                $token = $ex->getToken();
            }

            $debug = print_r($ex, true);
            Logs::save("MGError", __NAMESPACE__, $debug);
        }
    }

}
