<?php

namespace MGModule\EasyDCIM\MgLibs\Process;

/**
 * Description of abstractController
 *
 * @author Michal Czech <michael@modulesgarden.com>
 * @SuppressWarnings(PHPMD)
 */
abstract class AbstractController
{

    public $mgToken = null;

    function __construct($input)
    {
        if (isset($input[ 'mg-token' ]))
        {
            $this->mgToken = $input[ 'mg-token' ];
        }
    }

    /**
     * Generate Token For Form
     * 
     * @author Michal Czech <michael@modulesgarden.com>
     * @return string
     */
    function genToken()
    {
        return md5(time());
    }

    /**
     * Validate Token With previous checked
     * 
     * @author Michal Czech <michael@modulesgarden.com>
     * @param string $token
     * @return boolean
     */
    function checkToken($token = null)
    {
        if ($token === null)
        {
            $token = $this->mgToken;
        }

        if ($_SESSION[ 'mg-token' ] === $token)
        {
            return false;
        }

        $_SESSION[ 'mg-token' ] = $token;

        return true;
    }

    public function isActive()
    {
        return true;
    }

}
