<?php

namespace MGModule\EasyDCIM\Repositories\Actions;

use MGModule\EasyDCIM\Helpers\Emails;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\Adapters\ClientAdapter;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\EasyDCIM;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\Interfaces\IClient;
use MGModule\EasyDCIM\MgLibs\Models\AbstractRepository;

/**
 * Description of Suspend
 *
 * @author Mateusz Pawłowski <mateusz.pa@modulesgarden.com>
 */
class Suspend extends AbstractRepository
{
    /*
     * Suspend Account
     * Send suspension Email to admin or suspend account on Easy DCIM
     * Dependent for WHMCS product configuration
     * 
     */

    public function suspend()
    {
        $client = new ClientAdapter($this->params);

        if ($client->getSuspendAction() == 1)
        {
            return $this->sendSuspendEmail($client);
        }
        else
        {
            $api = new EasyDCIM($client);
            return $api->order->suspend();
        }
    }

    /*
     * Send suspension Email to admin
     */

    private function sendSuspendEmail(IClient $client)
    {
        return Emails::sendEmailForSelectedAdmins($client->getSuspendActionTemplate(), $client);
    }

}
