<?php

namespace MGModule\EasyDCIM\Repositories\Actions;

use MGModule\EasyDCIM\Helpers\CustomFields;
use MGModule\EasyDCIM\Helpers\Emails;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\Adapters\ClientAdapter;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\EasyDCIM;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\Interfaces\IClient;
use MGModule\EasyDCIM\MgLibs\Models\AbstractRepository;

/**
 * Description of Suspend
 *
 * @author Mateusz Pawłowski <mateusz.pa@modulesgarden.com>
 */
class Terminate extends AbstractRepository
{


    /*
     * Terminate Account
     * Send termination Email to admin or terminate account on Easy DCIM
     * Dependent for WHMCS product configuration
     * 
     */

    public function terminate()
    {
        $client = new ClientAdapter($this->params);

        if ($client->getTerminateAction() == 1)
        {
            return $this->sendTerminateEmail($client);
        }
        else
        {
            $api = new EasyDCIM($client);
            $response = $api->order->terminate();
            CustomFields::set($this->params['params']['packageid'], $this->params['params']['serviceid'], 'ServerID', '');
            return $response;


        }
    }

    /*
     * Send termination Email to admin
     */

    private function sendTerminateEmail(IClient $client)
    {
        return Emails::sendEmailForSelectedAdmins($client->getTerminateActiontemplate(), $client);


    }

}
