<?php

namespace MGModule\EasyDCIM\Repositories\Actions;

use MGModule\EasyDCIM\Helpers\Emails;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\Adapters\ClientAdapter;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\EasyDCIM;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\Interfaces\IClient;
use MGModule\EasyDCIM\MgLibs\Models\AbstractRepository;

/**
 * Description of Suspend
 *
 * @author Mateusz Pawłowski <mateusz.pa@modulesgarden.com>
 */
class Unsuspend extends AbstractRepository
{

    /*
     * Unsuspend Account
     * Send unsuspension Email to admin or sunuspend account on Easy DCIM
     * Dependent for WHMCS product configuration
     * 
     */

    public function unsuspend()
    {
        $client = new ClientAdapter($this->params);

        if ($client->getUnsuspendAction() == 1)
        {
            return $this->sendUnsuspendEmail($client);
        }
        else
        {
            $api = new EasyDCIM($client);
            return $api->order->unsuspend();
        }
    }

    /*
     * Send unsuspension Email to admin
     */

    private function sendUnsuspendEmail(IClient $client)
    {
        return Emails::sendEmailForSelectedAdmins($client->getUnsuspendActionTemplate(), $client);
    }

}
