<?php

namespace MGModule\EasyDCIM\Repositories\Connection;

use MGModule\EasyDCIM\MgLibs\EasyDCIM\Adapters\ClientAdapter;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\EasyDCIM;
use MGModule\EasyDCIM\MgLibs\Models\AbstractRepository;
use MGModule\EasyDCIM\Server;

/**
 * Description of CheckConnection
 *
 * @author Mateusz Pawłowski
 */
class Connection extends AbstractRepository
{
    /*
     * Check Easy DCIM connection
     * 
     * @return string
     */

    public function check()
    {
        $this->runInstall();
        $client = new ClientAdapter($this->params);
        $api    = new EasyDCIM($client);
        return $api->system->getVersion();
    }

    private function runInstall()
    {
        Server::I()->migrations()->run();
    }

}
