<?php

namespace MGModule\EasyDCIM\Repositories\Console;

use Exception;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\Adapters\ClientAdapter;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\EasyDCIM;
use MGModule\EasyDCIM\MgLibs\Lang;
use MGModule\EasyDCIM\MgLibs\Models\AbstractRepository;
use MGModule\EasyDCIM\Repositories\Console\Traits\Ipmi;

/**
 * Description of GraphF
 *
 * @author Mateusz Pawłowski
 */
class NoVncConsole extends AbstractRepository
{

    use Ipmi;
    /*
     * Get KVM Console Details
     * 
     * @retur JSON object
     * @throw \Exception
     */

    public function getDetails()
    {
        $client = new ClientAdapter($this->params);
        $api    = new EasyDCIM($client);
        return $api->ipmi->getConsoleDetails();
    }

    /*
     * Get KVM Console
     * 
     * @return jnlp file
     * @throw \Exception
     */

    public function getRedirectLink()
    {
        $client  = new ClientAdapter($this->params);
        $api     = new EasyDCIM($client);

        if($this->checkIsIPMIEnable($api) == false){
            throw new \Exception(Lang::absoluteT('IpmiNotEnable'));
        }

        $response = $api->ipmi->getNoVNCConsole();


        if(isset($response->url)){
            return [
                'status' => 'success',
                'url' => $response->url
            ];
        }
        return [];
    }



}
