<?php

namespace MGModule\EasyDCIM\Repositories\Modules;

use MGModule\EasyDCIM\MgLibs\EasyDCIM\Adapters\ClientAdapter;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\EasyDCIM;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\Exceptions\FatalError;
use MGModule\EasyDCIM\MgLibs\Models\AbstractRepository;
use MGModule\EasyDCIM\Repositories\Modules\Traits\TraitModules;

/**
 * Class PasswordManagement
 * @package MGModule\EasyDCIM\Repositories\Modules
 */
class PasswordManagement extends AbstractRepository
{
    use TraitModules;

    /**
     * @return array
     */
    public function getAccessList()
    {

        if (!$this->isModuleActive('password-manager'))
        {
            throw new FatalError('passwordManagerNotActive');
        }
        if (!$this->checkIsPageEnable('passwordManagement'))
        {
            throw new FatalError('noAccessPasswordManager');
        }
        $api = new EasyDCIM(new ClientAdapter($this->params));

        $serverID = \MGModule\EasyDCIM\Helpers\CustomFields::get($this->params['params']['packageid'], $this->params['params']['serviceid'], 'ServerID');

        $list = [];

        foreach ($api->passwordManagement->getAccessList() as $item) {
            if(isset($item->device_id) && $item->device_id == $serverID) {

                $item->hashedPasssword = str_repeat('*', strlen($item->password));
                $list[] = $item;
            }
        }

        return $list;
    }
}
