<?php

namespace MGModule\EasyDCIM\Repositories\Modules\Traits;

use MGModule\EasyDCIM\Helpers\ProductConfiguration;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\Adapters\ClientAdapter;
use MGModule\EasyDCIM\MgLibs\EasyDCIM\EasyDCIM;

/**
 * Description of TraitModules
 * 
 * @author Mateusz Pawłowski <mateusz.pa@modulesgarden.com>
 */
trait TraitModules
{
    /*
     * Get all activated module in Easy DCIM
     * 
     * @return array
     */

    private function getModules()
    {
        $api = new EasyDCIM(new ClientAdapter($this->params));
        return $api->system->getModules();
    }

    /**
     * Check Module Is Active
     *
     * @param string $name
     * @return boolean
     */
    private function isModuleActive($name)
    {
        $modules = $this->getModules();

        return isset($modules->{$name});
    }

    /**
     * Check Page is Enable on config product page
     *
     * @param string $pageName
     * @return boolean
     */
    private function checkIsPageEnable($pageName)
    {
        $config = ProductConfiguration::get($this->params['params']['packageid']);
        return in_array($pageName, $config['modules']);
    }

}
