$(document).ready(function () {
    function getIPAddresses() {
        EasyDSParser.request('getIPAddresses', {}, function (data) {
            $('#MGIPAddresses').empty();
            $.each(data, function (i, v) {
                $('#MGIPAddresses').append(v + '<br />');
            })
        });
    }
    function showError(msg) {
        $('.MGMsgError').removeClass('hidden');
        $('.MGMsgError').find('strong').text(msg);
    }
    function clearFields() {
        $('.MGMsgError').addClass('hidden');
        $('input[name="rdns[ip]"]').val("");
        $('input[name="rdns[rdata]"]').val("");
    }
    var MGTable = $('#rDNSTable').dataTable({
        processing: false,
        searching: true,
        autoWidth: false,
        bPaginate: false,
        "order": [[0, "desc"]],
        ajax: function (data, callback, settings) {
            var filter = {
                text: ''
            };
            EasyDSParser.request(
                    'getRDNSRecords'
                    , {
                        filter: filter
                        , limit: data.length
                        , offset: data.start
                    }
            , function (data) {
                callback(data);
                $('[data-toggle="tooltip"]').tooltip();
            }
            );
        },
        'columns': [
            null,
            null,
            null,
            {orderable: false, targets: 0}
        ],
        'aoColumnDefs': [{
                'bSortable': false,
                'aTargets': ['nosort']
            }],
        sDom: 'ft',
    });
    getIPAddresses();

    //Add New Record
    $("#MGCreaterDNSDodal").on("show.bs.modal", function (e) {
        clearFields();
        $("#MGrDNSForm").validator("destroy");
        $("#MGrDNSForm").validator();
    });

    $('#MGrDNSForm').on('submit', function (e) {
        e.preventDefault();
        EasyDSParser.clear();
        EasyDSParser.request('saveRDNS', {formContainer: $(this).serialize()}, function (data) {
            if (data.success) {
                $('#MGCreaterDNSDodal').modal('hide');
                MGTable.DataTable().ajax.reload();
            }
            showError(data.errorMsg);
        });

    })



    //Delete Record
    $(document).on('click', '.deleteDNS', function () {
        $('.MGRecordName').text($(this).data('name'));
        $('.MGRecordID').val($(this).data('id'));
        $('#MGDeleterDNSModal').modal('show');
    });
    $('#MGDeleterDNSForm').on('submit', function (e) {
        e.preventDefault();
        EasyDSParser.clear();
        EasyDSParser.request('deleteRDNS', {formContainer: $(this).serialize()}, function (data) {
            if (data.success) {
                $('#MGDeleterDNSModal').modal('hide');
                MGTable.DataTable().ajax.reload();
            }
        });

    })

    //Update Records
    $(document).on('click', '.editDNS', function () {

        $('.MGRecordName').text($(this).data('name'));
        $('.MGRecordID').val($(this).data('id'));
        $('#MGrDataRecord').val($(this).data('rdata'));
        $('#MGUpdaterDNSModal').modal('show');
    });
    $('#MGUpdaterDNSForm').on('submit', function (e) {
        e.preventDefault();
        EasyDSParser.clear();
        EasyDSParser.request('updateRDNS', {formContainer: $(this).serialize()}, function (data) {
            if (data.success) {
                $('#MGUpdaterDNSModal').modal('hide');
                MGTable.DataTable().ajax.reload();
            }
        });

    })


});