$(document).ready(function () {
    /*
     * Device actions
     */
    function deviceStatusLoader() {
        $('#MGDeviceStatus').html('<i class="fa fa-spinner fa-spin"></i>');
    }
    function changeDeviceStatus(status) {
        if (status === true) {
            $('#MGDeviceStatus').html('<strong style="color:green;">Running</strong>');
        } else {
            $('#MGDeviceStatus').html('<strong style="color:red;">Halted</strong>');
        }
    }
    $('#MGPowerOn').on('click', function () {
        deviceStatusLoader();
        EasyDSParser.request('powerOn', {}, function (data) {
            if (data.success) {
                changeDeviceStatus(true);
            }
        });
    })

    $('#MGNoVNCConsole').on('click', function () {
        EasyDSParser.request('getNoVNCKVMConsole', {}, function (data) {
                if(data.status == "success"){
                    window.open(data.url,  '_blank');
                }
        });
    })

    $('#MGReboot').on('click', function () {
        deviceStatusLoader();
        EasyDSParser.request('reboot', {}, function (data) {
            if (data.success) {
                changeDeviceStatus(true);
            }
        });
    })
    $('#MGColdReset').on('click', function () {
        deviceStatusLoader();
        EasyDSParser.request('coldReset', {}, function (data) {
            if (data.success) {
                changeDeviceStatus(true);
            }
        });
    })
    $('#MGPowerOff').on('click', function () {
        deviceStatusLoader();
        EasyDSParser.request('powerOff', {}, function (data) {
            if (data.success) {
                changeDeviceStatus(false);
            }
        });
    })

    $('#MGChangeHostnameAction').on('click', function () {
        var params = {
            hostname: $('#MGHostname').val()
        }
        EasyDSParser.request('changeHostname', params, function (data) {
            if (data.success) {
                $('#MGHostnameField').text(params.hostname);
            }
            $('#MGChangeHostnameModal').modal('hide');
        });
    })

    /*
     * Graphs Actions
     */

    /*
     * Datetime picker
     */
    $('#MGStartDate').datepicker({
        format: 'yyyy-mm-dd',
        startDate: $('#MGStartRangeDate').val(),
        endDate: $('#MGEndRangeDate').val()
    });

    $('#MGEndDate').datepicker({
        format: 'yyyy-mm-dd',
        startDate: $('#MGStartRangeDate').val(),
        endDate: $('#MGEndRangeDate').val()
    });

    $('#MGStartFilter').on('click', function () {
        getGraph($('#MGStartDate').val(), $('#MGEndDate').val());
    });

    $('#MGShowPassword').on('click', function(){
        if($('#MGHashedPassword').hasClass('hidden')){
            $('#MGHashedPassword').removeClass('hidden');
            $('#MGPassword').addClass('hidden');
        }else{
            $('#MGPassword').removeClass('hidden');
            $('#MGHashedPassword').addClass('hidden');
        }
    });
    function getGraph(start, end) {
        var params = {
            startDate: start,
            endDate: end
        }
        $('#MGGraphs').html('<center><i class="fa fa-spinner fa-spin"></i></center>');
        EasyDSParser.request('getGraphs', params, function (data) {
            if (data.graphs === undefined) {
                $('#MGGraphs').html('No available graphs');
            } else if (data.graphs) {
                $('#MGGraphs').empty();
                $.each(data.graphs, function () {
                    $('#MGGraphs').append('<img src="' + this + '" />')
                })
            }
        }, true);
    }
    /*
     * Get Graphs after a page is loaded
     */
    getGraph();
})